﻿@model LAP.Areas.Adviser.Models.EducationInfoModel;
@using System.Security.Claims
@{
    IQueryable<PostHighSchoolEducation> postHighSchoolEducations = ViewBag.PostHighSchoolEducations;
    var role = User.FindFirst(ClaimTypes.Role)?.Value;
    var area = role == Roles.FirmPrincipal ? "firm-principal" : role == Roles.FirmAdmin ? "firm-admin" : "adviser";
}
<form action="adviser/profile/saveeducationinfo" class="form fv-plugins-bootstrap fv-plugins-framework" id="kt_contactinfo_form" method="post" data-ajax="true" data-ajax-begin="onFormBegin" data-ajax-complete="onFormCompleteWithWizard">
    <div class="d-flex justify-content-between">
        <div class="d-flex align-items-center flex-wrap w-750px">
            <h4 class="text-dark font-weight-bold mt-2 mb-5 mr-5">Tell us about your higher education and industry-related licenses and designations</h4>
            <button class="btn btn-primary font-weight-bold btn-sm btn-education-add mb-2"><i class="fas fa-plus"></i> New Education</button>
        </div>
        <div>
            <button class="btn btn-secondary font-weight-bold px-6 py-2" id="btn-save-exit">Save & Exit</button>
        </div>
    </div>
    <div class="wizard-content-height">
        <div class="row">
            <div class="col-xl-5">
                <div class="form-group">
                    <label asp-for="DegreeDesignations"></label>
                    <select class="form-control form-control-lg" asp-for="DegreeDesignations" asp-items="EnumHelper.GetEnumSelectList<DegreeDesinationEnum>()" data-selected-text-format="count > 2" data-live-search="true"></select>
                    <span class="text-danger" asp-validation-for="DegreeDesignations"></span>
                </div>
            </div>
            <div class="col-xl-4">
                <div class="form-group">
                    <label asp-for="Licenses"></label>
                    <select class="form-control form-control-lg" asp-for="Licenses" asp-items="EnumHelper.GetEnumSelectList<LicenseEnum>()"></select>
                    <span class="text-danger" asp-validation-for="Licenses"></span>
                </div>
            </div>
            <div class="col-xl-3">
                <div class="form-group">
                    <label asp-for="CRD">CRD #</label>
                    <div class="input-group">
                        <input class="form-control form-control-lg numericOnly" asp-for="CRD" type="text" maxlength="7">
                        <div class="input-group-append">
                            <a href="https://adviserinfo.sec.gov" class="btn bg-light-primary border border-primary" role="button" data-toggle="tooltip" data-original-title="Verify your CRD #" target="_blank">
                                <i class="fa fa-search text-primary icon-lg" style="margin-right: -6px; margin-top: 6px;"></i>
                            </a>
                        </div>
                    </div>
                    <span class="text-danger" asp-validation-for="CRD"></span>
                </div>
            </div>
            <div class="col-xl-3">
                <div class="form-group">
                    <label asp-for="NPN">NPN #</label>
                    <div class="input-group">
                        <input class="form-control form-control-lg numericOnly" asp-for="NPN" type="text" maxlength="7">
                        <div class="input-group-append">
                            <a href="https://nipr.com/help/look-up-your-npn" class="btn bg-light-primary border border-primary" role="button" data-toggle="tooltip" data-original-title="Verify your NPN #" target="_blank">
                                <i class="fa fa-search text-primary icon-lg" style="margin-right: -6px; margin-top: 6px;"></i>
                            </a>
                        </div>
                    </div>
                    <span class="text-danger" asp-validation-for="NPN"></span>
                </div>
            </div>
        </div>
        <div class="form-group">
            <div class="d-flex">
                <div class="align-self-center mr-2">
                    <span class="switch switch-icon switch-sm switch-custom">
                        <label>
                            <input type="checkbox" asp-for="HasPostHighSchoolEducation" checked="@(postHighSchoolEducations.Count() > 0 ? true : false)">
                            <span></span>
                        </label>
                    </span>
                </div>
                <div>
                    <label class="col-form-label switch-label" asp-for="HasPostHighSchoolEducation">
                        Have you completed any post-High School Education?
                    </label>
                </div>
            </div>
        </div>
        <div class="row" id="education-main-div">
            @foreach (var item in postHighSchoolEducations)
            {
                <div class="col-xl-6 education-info-div d-flex" id="educationinfo-@item.Guid">
                    <div class="card card-custom gutter-b shadow-none education-card bg-gray-100 w-100" style="border:1px solid #0eb578">
                        <div class="card-header" style="background:#0eb578">
                            <div class="card-title m-0 w-75">
                                <h3 class="card-label font-size-h4">
                                    <span class="font-weight-bold text-white">@item.School</span>
                                </h3>
                            </div>
                            <div class="card-toolbar">
                                <button class="btn btn-icon btn-sm btn-education-edit" data-guid="@item.Guid" type="button">
                                    <i class="fas fa-pencil-alt text-white" data-toggle="tooltip" data-original-title="Edit"></i>
                                </button>
                                <button class="btn btn-icon btn-sm btn-education-delete" data-guid="@item.Guid" type="button">
                                    <i class="far fa-trash-alt text-white" data-toggle="tooltip" data-original-title="Delete"></i>
                                </button>
                            </div>
                        </div>
                        <div class="card-body">
                            <div class="font-size-h6">
                                <div class="row d-flex align-items-start">
                                    <span class="col-md-5 text-dark font-weight-bold">Degree:</span>
                                    <span class="col-md-7 pl-0">@item.DegreeString</span>
                                </div>
                                <div class="row d-flex align-items-start">
                                    <span class="col-md-5 text-dark font-weight-bold">Field of Study:</span>
                                    <span class="col-md-7 pl-0">@item.FieldString</span>
                                </div>
                                <div class="row d-flex align-items-start">
                                    <span class="col-md-5 text-dark font-weight-bold">Duration:</span>
                                    <span class="col-md-7 pl-0">@item.FromYearString - @item.ToYearString</span>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            }
        </div>
    </div>
    <partial name="_WizardFooter" />
</form>
<div class="modal" id="PostHighSchoolEducationModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true"></div>
<script>
    var showHideEducation = function() {
        var selection = $("#HasPostHighSchoolEducation").is(":checked");
        if (selection) {
            $(".btn-education-add").removeClass("d-none");
            $("#education-main-div").removeClass("d-none");
            $(".alert").remove();
        }
        else {
            $(".btn-education-add").addClass("d-none");
            $("#education-main-div").addClass("d-none");
            if ($(".education-info-div").length > 0)
                _showFormMessage("kt_contactinfo_form", "warning", "Post High School Education data will be lost if you uncheck the toggle switch and press <b>Next</b> button", "fas fa-exclamation-triangle")
        }
    }
    var showHideCRD = function() {
        var license = $("#Licenses").val();
        if (license.includes(License.Series65.toString()) || license.includes(License.Series66.toString()))
            $("#CRD").closest(".form-group").removeClass("d-none");
        else {
            $("#CRD").val("").change();
            $("#CRD").closest(".form-group").addClass("d-none");
        }

        if (license.includes(License.Life.toString()) || license.includes(License.Health.toString()) || license.includes(License.Annuity.toString()))
            $("#NPN").closest(".form-group").removeClass("d-none");
        else {
            $("#NPN").val("").change();
            $("#NPN").closest(".form-group").addClass("d-none");
        }
    }
    var HideShowChecked = function() {
        var checked = $(".education-card").length > 0;
        $("#HasPostHighSchoolEducation").prop("checked", checked);
        if (!checked) $(".btn-education-add").addClass("d-none");
        else $(".btn-education-add").removeClass("d-none")
    }
    $("#wizard-main-div").on("click", ".btn-education-add,.btn-education-edit", function(e) {
        e.preventDefault()
        var id = $(this).attr("data-guid");
        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
        loadPartialView(`adviser/profile/posthighschooleducation?guid=${id}`, "PostHighSchoolEducationModal");
        setTimeout(function() { KTApp.unblockPage(); }, 1000);
        $("#PostHighSchoolEducationModal").modal({ backdrop: 'static' });
    });
    $("#wizard-main-div").on("click", ".btn-education-delete", function(e) {
        e.preventDefault()
        var cur = this;
        var swalOptions = confimationSwalOptions;
        Swal.fire(swalOptions)
            .then(function(result) {
                if (result.value) {
                    var guid = $(cur).attr("data-guid");
                    deleteRecord(`adviser/profile/deleteEducation?guid=${guid}`, function() {
                        KTApp.blockPage({ overlayColor: '#000000', state: 'primary', message: 'Please wait...' });
                        $(cur).closest(".education-info-div").remove();
                        setTimeout(function() { KTApp.unblockPage(); }, 1000);
                        HideShowChecked();
                    });
                }
            });
    });
    $("#HasPostHighSchoolEducation").change(function() {
        if ($(this).is(":checked") && $(".education-info-div").length == 0)
            $(".btn-education-add").click();
        showHideEducation();
    });
    $("#Licenses").change(function() {
        showHideCRD();
    });
    showHideEducation();
    showHideCRD();
</script>